PUT studies Id

PUT/studies/{id}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

idinteger

The unique identifier of the study to update.

Formatint32

The data transfer object containing the full updated study information.

titlestring

The title of the study.

Length0 <= length <= 100
nominalDurationYearsinteger

The default duration of the study in years.

Formatint32
typestring

Defines the type of a Study.

Formatint32
Value in"Bachelor" | "Master"

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/studies/0" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "nominalDurationYears": 0,    "type": "Bachelor"  }'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}